probe::ioblock.request
Prev | Chapter 9. IO Scheduler and block IO Tapset | Next

## Name

probe::ioblock.request — Fires whenever making a generic block I/O request.

## Synopsis

    ioblock.request

## Values

`ino`

  i-node number of the mapped file

`name`

  name of the probe point

`phys_segments`

  number of segments in this bio after physical address coalescing is performed

`bdev`

  target block device

`rw`

  binary trace for read/write request

`devname`

  block device name

`size`

  total size in bytes

`idx`

  offset into the bio vector array

`opf`

  operations and flags

`sector`

  beginning sector for the entire bio

`vcnt`

  bio vector count which represents number of array element (page, offset, length) which make up this I/O request

`hw_segments`

  number of segments after physical and DMA remapping hardware coalescing is performed

`p_start_sect`

  points to the start sector of the partition structure of the device

`flags`

  see below BIO_UPTODATE 0 ok after I/O completion BIO_RW_BLOCK 1 RW_AHEAD set, and read/write would block BIO_EOF 2 out-out-bounds error BIO_SEG_VALID 3 nr_hw_seg valid BIO_CLONED 4 doesn't own data BIO_BOUNCED 5 bio is a bounce bio BIO_USER_MAPPED 6 contains user pages BIO_EOPNOTSUPP 7 not supported

`bdev_contains`

  points to the device object which contains the partition (when bio structure represents a partition)

## Context

The process makes block I/O request

Prev | Up | Next
probe::ioblock.end | Home | probe::ioblock_trace.bounce